package example;

import java.rmi.*;
import java.net.*;

public class CalculatorClient {

  public static void main(String args[]) {
  
    if (args.length == 0 || !args[0].startsWith("rmi:")) {
	System.out.println("Usage: java CalculatorClient rmi://host.domain/calculator number");
        return;
    }
    
    try {
        Calculator cal = (Calculator) Naming.lookup(args[0]);
        int input = (new Integer(args[1])).intValue();
        //int input = Integer.parseInt(args[1]);
        int output = cal.addOne(input);
        System.out.println("The output of addOne(" + input + ")" + " is " + output);
    }
    catch (MalformedURLException e) {
        System.out.println(args[0] + " is not a valid RMI URL.");
    }
    catch (RemoteException e) {
        System.out.println("Remote object throw exception: " + e);
    }
    catch (NotBoundException e) {
        System.out.println("Cannot find the requested remote object on the server.");
    }
    catch (NumberFormatException e) {
    	System.out.println("The input integer is not well formated.");
    }
  }
}
